n=size(G,2);
m=size(N,2);

% Pick any of the original constraint equations to "leave out" and reinsert
% after having computed the LDL for the rest of the matrix.
k=2000;

N1=N(:,1:k-1);
N2=N(:,k+1:m);
Nm=[N1 N2];
clear N1;
clear N2;
np=N(:,k);
KKTm=[G Nm;Nm' zeros(m-1)];

tic;[L,D,p]=ldl(KKTm,'vector');toc

A=KKTm(p,p);
np(n+m-1,1)=0;

tic;Linvnp=L\np;toc

B=[D Linvnp;Linvnp' 0];

tic;[Lnew,Dnew,pnew]=ldl(B,'vector');toc
